Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 592943 - /usr/bin/repodiff, line 229 SyntaxError: invalid syntax
Summary: /usr/bin/repodiff, line 229 SyntaxError: invalid syntax
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum-utils
Version: 6.0
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: James Antill
QA Contact: Petr Sklenar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-17 12:41 UTC by Petr Sklenar
Modified: 2014-01-21 06:18 UTC (History)
2 users (show)

Fixed In Version: yum-utils-1.1.26-8.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 22:01:23 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Petr Sklenar 2010-05-17 12:41:36 UTC
Description of problem:
there is syntax error for repodiff

Version-Release number of selected component (if applicable):
yum-utils-1.1.26-7.el6.noarch
yum-3.2.27-8.el6.noarch
rpm-4.8.0-6.el6.x86_64
redhat-release-6-6.0.0.24.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. try to start /usr/bin/repodiff
  
Actual results:
[root@auto-x86-64-001 bz243699-init-script]# /usr/bin/repodiff --help
  File "/usr/bin/repodiff", line 229
    (content != oldcontent)):
                            ^
SyntaxError: invalid syntax
[root@auto-x86-64-001 bz243699-init-script]# /usr/bin/repodiff
  File "/usr/bin/repodiff", line 229
    (content != oldcontent)):
                            ^
SyntaxError: invalid syntax


Expected results:
no syntax error

Additional info:

Comment 1 RHEL Product and Program Management 2010-05-17 12:45:32 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Petr Sklenar 2010-05-17 12:46:50 UTC
possible patch:

# diff /usr/bin/repodiff.OLD /usr/bin/repodiff.NEW
229c229
<                                             (content != oldcontent)):
---
>                                             (content != oldcontent))):

Comment 3 RHEL Product and Program Management 2010-05-17 13:05:39 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 James Antill 2010-05-17 14:01:40 UTC
Yeh, simple fix. RHEL-6 got the new repodiff as it was done ... but over the next couple of days a few bugs were found. There's like four lines different between latest rawhide and current RHEL-6 repodiff, but those are pretty important lines ;)

Comment 8 Petr Sklenar 2010-07-07 15:27:01 UTC
test procedure:
installation of RHEL6.0-20100706.n.0_nfs-Server-x86_64
yum-utils-1.1.26-10.el6.noarch

[root@ultraman-3 ~]# /usr/bin/repodiff --help
Usage: 
    repodiff: take 2 or more repositories and return a list of added, removed and changed
              packages.
              
    repodiff --old=old_repo_baseurl --new=new_repo_baseurl 

Options:
  --version             show program's version number and exit
  -h, --help            show this help message and exit
  -n NEW, --new=NEW     new baseurl[s] for repos
  -o OLD, --old=OLD     old baseurl[s] for repos
  -q, --quiet           
  -a ARCHLIST, --archlist=ARCHLIST
                        In addition to src.rpms, any arch you want to include
  -s, --size            Output size changes for any new->old packages



/usr/bin/repodiff --old=http://download.englab.brq.redhat.com/pub/rhel/nightly/RHEL6.0-20100705.n.0/6/Server/x86_64/os/Server --new=http://download.englab.brq.redhat.com/pub/rhel/nightly/RHEL6.0-20100706.n.0/6/Server/x86_64/os/Server -a   x86_64,i386,noarch
....
Summary:
Added Packages: 0
Removed Packages: 0
Modified Packages: 5

--
Verified

Comment 9 releng-rhel@redhat.com 2010-11-10 22:01:23 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.